cURL
curl --request POST \
--url https://api.example.com/api/CustomField/Search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"search": "<string>",
"sortBy": "<string>",
"descending": true
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({search: '<string>', sortBy: '<string>', descending: true})
};
fetch('https://api.example.com/api/CustomField/Search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.example.com/api/CustomField/Search"
payload = {
"search": "<string>",
"sortBy": "<string>",
"descending": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.example.com/api/CustomField/Search");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"search\": \"<string>\",\n \"sortBy\": \"<string>\",\n \"descending\": true\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.example.com/api/CustomField/Search';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({search: '<string>', sortBy: '<string>', descending: true})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"list": [
{
"name": "<string>",
"id": 123,
"displayName": "<string>",
"isEnabled": true,
"options": [
"<string>"
],
"createDateTimeUtc": "2023-11-07T05:31:56Z",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "2023-11-07T05:31:56Z",
"modifiedByUser": "<string>"
}
],
"total": 123
}MIME Type Sniffing
CustomField Search
POST
/
api
/
CustomField
/
Search
cURL
Last modified on April 23, 2026
Was this page helpful?
⌘I